package com.xkrs.straw.model.entity;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Table(name = "sys_user")
public class SysUserEntity implements Serializable {

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "sys_user_seq_gen")
    @SequenceGenerator(name = "sys_user_seq_gen", sequenceName = "sys_user_id_seq", allocationSize = 1)
    private Long id;

    /**
     * 用户名
     */
    @Column(nullable = false, unique = true)
    private String userName;

    /**
     * 用户真实姓名
     */
    private String reallyName;

    /**
     * 密码
     */
    @Column(nullable = false)
    private String password;

    @Column(nullable = false)
    private String salt;

    @Column(unique = true)
    private String telephone;

    private String countyCode;

    private String signature;

    @Column(nullable = false)
    private Integer activeFlag;

    @Column(nullable = false)
    private Integer statusCode;

    @Column(nullable = false)
    private String addTime;

    @Column(nullable = false)
    private Integer deleteFlag;

    private String lastEntryIp;

    /**
     * 账号到期的时间
     */
    private String overTime;

    /**
     * 账号类别
     */
    private String accountType;

    private String countyName;

    /**
     * 登录次数
     */
    private Integer loginNum;

    /**
     * 用户最新登录时间
     */
    private String loginLastTime;

    /**
     * 注册时的UA
     */
    @Column(columnDefinition = "varchar(1024)")
    private String userAgent;

    /**
     * vip等级
     */
    private Integer vipLevel;

    /**
     * 是否接收短信
     */
    private Integer receiveSms;

    /**
     * 备注
     */
    private String remark;

    /**
     * 代理组织的ID
     */
    private Long agentOrgId;

    /**
     * 推送ID
     */
    private String pushId;

    /**
     * VIP时间范围列表Json
     */
    @Column(columnDefinition = "varchar(40960)")
    private String vipTimeRangeJson;

    public SysUserEntity() {
    }

}
